Subject: bug#33604: closed (Re: bug#33604: Backtrace in guix package -s)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Dec 2018 05:59:02 +0000

Your bug report

#33604: Backtrace in guix package -s

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33604: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33604
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33604: Backtrace in guix package -s
From: Ricardo Wurmus <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Tue, 04 Dec 2018 06:58:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

>> This appears to be due to an error in the texinfo markup within one of
>> the fields of the 'emacs-csharp-mode' package.
>>
>> I can't find an 'emacs-csharp-mode' package in the Guix source tree, so
>> I guess it lives in one of your private package directories.
>>
>>        Mark
>
> You're right! My mistake! Thank you!

Closing this bug.

-- 
Ricardo

Subject: Backtrace in guix package -s
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Mon, 03 Dec 2018 16:56:04 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all, When I run ex: `guix package -s emacs` it is presenting this
backtrace. It has been there for a few commits now. Does anybody have
thoughts on it?

Backtrace:
In ice-9/boot-9.scm:
    829:9 19 (catch _ _ #<procedure 7fb97a985498 at guix/ui.scm:615…> …)
    829:9 18 (catch _ _ #<procedure 7fb97a9854b0 at guix/ui.scm:733…> …)
In guix/scripts/package.scm:
    914:8 17 (_)
    760:9 16 (process-query _)
In ice-9/boot-9.scm:
    829:9 15 (catch _ _ #<procedure 7fb97879a588 at guix/scripts/pa…> …)
In guix/scripts/package.scm:
   762:24 14 (_)
   180:17 13 (find-packages-by-description _)
In guix/discovery.scm:
    155:3 12 (fold-module-public-variables _ _ _)
In guix/combinators.scm:
    45:26 11 (fold2 #<procedure 3b5ca00 at guix/discovery.scm:155:1…> …)
    45:26 10 (fold2 #<procedure 3b4c580 at guix/discovery.scm:156:1…> …)
In guix/discovery.scm:
   158:33  9 (_ #<package [email-masked] /home/bret…> …)
In guix/scripts/package.scm:
   183:38  8 (_ #<package [email-masked] /home/bret…> …)
In srfi/srfi-1.scm:
   466:18  7 (fold #<procedure 34f94a0 at guix/ui.scm:1267:8 (metri…> …)
In guix/ui.scm:
  1270:13  6 (_ _ 4)
  1146:23  5 (texi->plain-text _)
In texinfo.scm:
  1131:22  4 (parse _)
   910:31  3 (loop #<input: string 22afa10> (*fragment*) #<procedur…> …)
   753:31  2 (_ #<input: string 22afa10> _ #f #<procedure 7fb979065…> …)
   492:18  1 (read-command-token #<input: string 22afa10>)
    446:8  0 (read-command #<input: string 22afa10>)

texinfo.scm:446:8: In procedure read-command:
Throw to key `parser-error' with args `(#<input: string 22afa10> "Nonalphabetic @-command char: '" #\) "'")'.

--------

brettg@guixsd ~$ guix describe
Generation 12	Dec 03 2018 15:17:28	(current)
  guix 91a4863
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 91a4863d9d727754d1743f4c0591c63b950494cf